=== debian/changelog ===
kimap (23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:32:35 +0000

kimap (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:01:12 +0000

kimap (23.08.5-0ubuntu2) noble; urgency=medium

  * Enable tests to fix build on riscv64.

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 23 Feb 2024 05:09:42 -0700

kimap (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:00:40 -0700
