=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 23.08.4~),
+               libkf5mime-dev (>= 23.08.5~),
                libsasl2-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
@@ -40,7 +40,7 @@
 Depends: libboost-dev (>= 1.34.0~),
          libkf5coreaddons-dev (>= 5.31.0~),
          libkf5kio-dev (>= 5.31.0~),
-         libkf5mime-dev (>= 23.08.4~),
+         libkf5mime-dev (>= 23.08.5~),
          libkpim5imap5 (= ${binary:Version}),
          libsasl2-dev,
          ${misc:Depends},
