## kimap 24.12.0

=== debian/changelog ===
kimap (24.12.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:53:26 +0100

kimap (24.12.0-2) experimental; urgency=medium

  [ Rebecca N. Palmer ]
  * Build testing helpers even with nocheck. (Closes: #1086766)

 -- Patrick Franz <deltaone@debian.org>  Mon, 16 Dec 2024 20:27:01 +0100

kimap (24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:37:51 +0100
